Package: groovy.util

## [Groovy] Class JavadocAssertionTestBuilder

- groovy.util.JavadocAssertionTestBuilder

-     @Deprecated
      class JavadocAssertionTestBuilder
      extends Object

  `JavadocAssertionTestBuilder` will dynamically create a test cases from Groovy assertions placed within the Javadoc comments of a source file. Assertions should be placed within an html tag with a `class="groovyTestCase"` attribute assignment. Example:

      <pre class="groovyTestCase"> assert "example".size() == 7 </pre>

  When extracting the code for the test, single-line snippets of code without braces within a {`@code` ...} tag will have the javadoc `code` tag stripped. Similarly, html entities are converted back when extracting code, so `<` and `>` will be converted to `<` and `>`.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `JavadocAssertionTestBuilder ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Class` | `buildTest(String filename, String code)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### JavadocAssertionTestBuilder()

  - ### Method Detail

    - #### Class buildTest(String filename, String code)